var myTheme = {
    init : function(){
		var ie_v = $exe.isIE();
        if (ie_v && ie_v<8) return false;
        setTimeout(function(){
            $(window).resize(function() {
                myTheme.reset();
            });
        },1000);
        var l = $('<p id="nav-toggler"><a href="#" onclick="myTheme.toggleMenu(this)" class="hide-nav" id="toggle-nav" title="'+$exe_i18n.hide+'"><span>'+$exe_i18n.menu+'</span></a></p>');
        $("#siteNav").before(l);
        var url = window.location.href;
        url = url.split("?");
        if (url.length>1){
            if (url[1].indexOf("nav=false")!=-1) {
                myTheme.hideMenu();
            }
        }
    },
    hideMenu : function(){
        $("#siteNav").hide();
        $(document.body).addClass("no-nav");
        myTheme.params("add");
        $("#toggle-nav").attr("class","show-nav").attr("title",$exe_i18n.show);
    },
    toggleMenu : function(e){
        if (typeof(myTheme.isToggling)=='undefined') myTheme.isToggling = false;
        if (myTheme.isToggling) return false;
        
        var l = $("#toggle-nav");
        
        if (!e && $(window).width()<900 && l.css("display")!='none') return false; // No reset in mobile view
        if (!e) l.attr("class","show-nav").attr("title",$exe_i18n.show); // Reset
        
        myTheme.isToggling = true;
        
        if (l.attr("class")=='hide-nav') {       
            l.attr("class","show-nav").attr("title",$exe_i18n.show);
			$("#siteFooter").hide();
			$("#siteNav").slideUp(400,function(){
                $(document.body).addClass("no-nav");
                $("#siteFooter").show();
                myTheme.isToggling = false;
            }); 
            myTheme.params("add");
        } else {
            l.attr("class","hide-nav").attr("title",$exe_i18n.hide);
            $(document.body).removeClass("no-nav");
			$("#siteNav").slideDown(400,function(){
                myTheme.isToggling = false;
            });
            myTheme.params("delete");            
        }
        
    },
    param : function(e,act) {
        if (act=="add") {
            var ref = e.href;
            var con = "?";
            if (ref.indexOf(".html?")!=-1) con = "&";
            var param = "nav=false";
            if (ref.indexOf(param)==-1) {
                ref += con+param;
                e.href = ref;                    
            }            
        } else {
            // This will remove all params
            var ref = e.href;
            ref = ref.split("?");
            e.href = ref[0];
        }
    },
    params : function(act){
        $("A",".pagination").each(function(){
            myTheme.param(this,act);
        });
    },
    reset : function() {
        myTheme.toggleMenu();        
    }    
};

$(function(){
    if (document.body.className=='exe-web-site js') {
        myTheme.init();
    }
});

// ==== IWM Stuff ========

function loadScript(url, callback) {
    var head = document.getElementsByTagName('head')[0];
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.src = url;

    script.onreadystatechange = callback;
    script.onload = callback;

    head.appendChild(script);
}

function setUp(){
    $("body").append('<img src="hand-icon-buch.png" class="swipe-icon">');
    var eHeader = document.getElementById("emptyHeader");
    var header = document.getElementById("header");
    var nodeTitle = document.getElementById("nodeTitle");
    var swipeIcon = document.getElementsByClassName("swipe-icon")[0];
    console.log(swipeIcon);
    var element;
    var nodeTitleElement = new Hammer(nodeTitle);
    var swipeIconElement = new Hammer(swipeIcon);
    if (eHeader != null) {
        element = new Hammer(eHeader);
    } else if (header != null) {
        element = new Hammer(header);
    } else {
        console.log("No valid header for swiping found.");
    }
    var prev = document.getElementsByClassName("prev")[0];
    var next = document.getElementsByClassName("next")[0];

    function goLeft() {
        if (prev != undefined) {
            prev.click();
        }
    }
    function goRight() {
        if (next != undefined) {
            next.click();
        }
    }

    element.on("panright", function(ev) {
        // Go left
        goLeft();
    });
    element.on("panleft", function(ev) {
        // Go right
        goRight();
    });
    nodeTitleElement.on("panright", function(ev) {
        // Go left
        goLeft();
    });
    nodeTitleElement.on("panleft", function(ev) {
        // Go right
        goRight();
    });
    swipeIconElement.on("panright", function(ev) {
        // Go left
        goLeft();
    });
    swipeIconElement.on("panleft", function(ev) {
        // Go right
        goRight();
    });

}

var jqueryCallback = function() {
    setUp();
};

var hammerCallback = function() {
    if (Modernizr.touch) {
        console.log("Touch support detected");
        loadScript("https://code.jquery.com/jquery-2.1.1.min.js", jqueryCallback);
    } else {
        console.log("Touch-input not supported");
    }
};

var modernizrCallback = function() {
    loadScript("https://hammerjs.github.io/dist/hammer.min.js", hammerCallback);
};


loadScript("modernizr.custom.77989.js", modernizrCallback);

var my_framesCallback = function setFramesHeight() {
	var frameDivs=document.getElementsByClassName("ExternalUrlIdevice");
	for (var i=0; i< frameDivs.length; i++) {
		var frameDiv=frameDivs[i];
		var frames=frameDiv.getElementsByTagName("iframe");
		var myFrame=frames[0];
		/* system and ltibook output must not be shrinked as it may be dynamic */
		if (myFrame.src.indexOf('System')>0 || myFrame.src.indexOf('ltibook')>0) {
			break;
		}
		var pageUrlRoot=window.location.protocol+"//"+window.location.host;
		if (myFrame.src.substring(0,pageUrlRoot.length) == pageUrlRoot) {
			console.log("Same origin for iframe "+i);
			myFrame.setAttribute("id","fid"+i);
			myFrame.setAttribute("onload","setIframeHeight(this.id)");
		} else {
			console.log("Different origin for iframe "+i);
		}
	}
}

loadScript("my_frames.js",my_framesCallback);